View Issue Details

IDProjectCategoryView StatusLast Update
0008879Multi Theft Auto : San AndreasClientpublic2015-06-23 00:14
ReporterlopezlooAssigned Toccw 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.5Fixed in Version1.5 
Summary0008879: Broken compatibility with external mods(?) on latest 1.5
Description

Hello. I'm using modified OpenVice mod which works good on old 1.5 unstable versions. After updating MTA to 1.5 r7282 I'm getting crash during load.

This mod has 4 modified IMG archives: GTA_INT.IMG (24KB), GTA3.IMG (~160MB) and 2 external: vegepart.img (~8MB), vice.img (~255MB, 4729 files inside).

I know there was some changes about skin mods verification. Is it possible that cause crash?

Latest working version is 1.5-unstable-7243

Steps To Reproduce

I can provide mod files if needed.

Additional Information

Crash example:
Version = 1.5-unstable-7282.0.000
Time = Tue Jun 09 16:19:09 2015
Module = xxx\GTA San Andreas\proxy_sa.exe
Code = 0xC0000005
Offset = 0x011632B0

EAX=00000000 EBX=00000000 ECX=C9742400 EDX=000000FF ESI=00000000
EDI=0028FCF0 EBP=000062A6 ESP=0028FCA4 EIP=015632B0 FLG=00010246
CS=0023 DS=002B SS=002B ES=002B FS=0053 GS=002B

And it says there was problem with vice.img. No additional information about wrong model ID or something.
I attached dump file.

TagsNo tags attached.

Activities

ccw

2015-06-09 23:02

administrator   ~~0023358

Please provide the mod files

lopezloo

2015-06-10 21:09

developer   ~~0023367

Fixed in http://buildinfo.mtasa.com/?Revision=7285&Branch=master
Thank you very much!

Issue History

Date Modified Username Field Change